namespace ReactorMaintenance.Simulation;

public sealed record DoorState
{
    public GridPosition A { get; init; } = new(0, 0);
    public GridPosition B { get; init; } = new(0, 0);
    public EDoorState State { get; init; } = EDoorState.Closed;
}